MessageContext (Axis API)
Keywords: javax.xml.rpc.handler.MessageContext interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.rpc.handler
Interface MessageContext

All Known Subinterfaces:
  SOAPMessageContext

All Known Implementing Classes:
  MessageContext

public interface MessageContext

The interface `MessageContext` abstracts the message context that is processed by a handler in the `handle` method.

The `MessageContext` interface provides methods to manage a property set. `MessageContext` properties enable handlers in a handler chain to share processing related state.

Version:
  1.0

Method Summary
`boolean` | `containsProperty(java.lang.String name)` Returns true if the `MessageContext` contains a property with the specified name.
`java.lang.Object` | `getProperty(java.lang.String name)` Gets the value of a specific property from the `MessageContext`.
`java.util.Iterator` | `getPropertyNames()` Returns an Iterator view of the names of the properties in this `MessageContext`.
`void` | `removeProperty(java.lang.String name)` Removes a property (name-value pair) from the `MessageContext`.
`void` | `setProperty(java.lang.String name, java.lang.Object value)` Sets the name and value of a property associated with the `MessageContext`.

Method Detail

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

  Sets the name and value of a property associated with the `MessageContext`. If the `MessageContext` contains a value of the same property, the old value is replaced.

  Parameters:
    `name` - ame of the property associated with the `MessageContext`
    `value` - Value of the property
  Throws:
    `java.lang.IllegalArgumentException` - If some aspect the property is prevents it from being stored in the context
    `java.lang.UnsupportedOperationException` - If this method is not supported.

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Gets the value of a specific property from the `MessageContext`.

  Parameters:
    `name` - the name of the property whose value is to be retrieved
  Returns:
    the value of the property
  Throws:
    `java.lang.IllegalArgumentException` - if an illegal property name is specified

### removeProperty

    public void removeProperty(java.lang.String name)

  Removes a property (name-value pair) from the `MessageContext`.

  Parameters:
    `name` - the name of the property to be removed
  Throws:
    `java.lang.IllegalArgumentException` - if an illegal property name is specified

### containsProperty

    public boolean containsProperty(java.lang.String name)

  Returns true if the `MessageContext` contains a property with the specified name.

  Parameters:
    `name` - Name of the property whose presense is to be tested
  Returns:
    Returns true if the MessageContext contains the property; otherwise false

### getPropertyNames

    public java.util.Iterator getPropertyNames()

  Returns an Iterator view of the names of the properties in this `MessageContext`.

  Returns:
    Iterator for the property names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.